Package org.eclipse.rdf4j.common.concurrent.locks

## Class StampedLockManager.Cache<T>

- java.lang.Object
- - org.eclipse.rdf4j.common.concurrent.locks.StampedLockManager.Cache<T>

- Enclosing class:
    StampedLockManager

      public static class StampedLockManager.Cache<T>
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `StampedLockManager.Cache.OptimisticState` |
    `class` | `StampedLockManager.Cache.ReadableState` |
    `class` | `StampedLockManager.Cache.WritableState` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Cache​(StampedLockManager stampedLockManager, Supplier<T> dataSupplier)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `StampedLockManager.Cache.OptimisticState` | `getOptimisticState()` |
    `StampedLockManager.Cache.ReadableState` | `getReadState()` |
    `StampedLockManager.Cache.WritableState` | `getWriteState()` |
    `void` | `warmUp()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Cache

          public Cache​(StampedLockManager stampedLockManager,
                       Supplier<T> dataSupplier)

  - ### Method Detail

    - #### getReadState

          public StampedLockManager.Cache.ReadableState getReadState()
                                                              throws InterruptedException

      Throws:
        `InterruptedException`

    - #### getWriteState

          public StampedLockManager.Cache.WritableState getWriteState()
                                                               throws InterruptedException

      Throws:
        `InterruptedException`

    - #### getOptimisticState

          public StampedLockManager.Cache.OptimisticState getOptimisticState()
                                                                      throws InterruptedException

      Throws:
        `InterruptedException`

    - #### warmUp

          public void warmUp()
                      throws InterruptedException

      Throws:
        `InterruptedException`